# Honeycomb Tracing for ActiveRecord

[![Build Status](https://travis-ci.org/honeycombio/activerecord-honeycomb.svg?branch=master)](https://travis-ci.org/honeycombio/activerecord-honeycomb)
[![Gem Version](https://badge.fury.io/rb/activerecord-honeycomb.svg)](https://badge.fury.io/rb/activerecord-honeycomb)

This package makes it easy to instrument your ActiveRecord queries in your ruby application to send useful events to [Honeycomb](https://www.honeycomb.io), a service for debugging your software in production.
- [Usage and Examples](https://docs.honeycomb.io/getting-data-in/beelines/ruby-beeline/)

Sign up for a [Honeycomb
trial](https://ui.honeycomb.io/signup) to obtain an API key before starting.

## Compatible with

Requires Ruby version 2.2 or later

ActiveRecord 4 or later

## Get in touch

Please reach out to [support@honeycomb.io](mailto:support@honeycomb.io) or ping
us with the chat bubble on [our website](https://www.honeycomb.io) for any
assistance. We also welcome [bug reports](https://github.com/honeycombio/activerecord-honeycomb/issues).

## Contributions

Features, bug fixes and other changes to `activerecord-honeycomb` are gladly accepted. Please
open issues or a pull request with your change. Remember to add your name to the
CONTRIBUTORS file!

All contributions will be released under the Apache License 2.0.
